package networkserver

import (
	"net"
)

type ClientAgent interface {
	WriteMsg(msg interface{})
	MarshalMsg(msg interface{}) ([][]byte, error)
	WriteBytes(data [][]byte)
	LocalAddr() net.Addr
	RemoteAddr() net.Addr
	Close()
	Destroy()
	UserData() interface{}
	SetUserData(data interface{})
}
